#include <iostream>
#include <cmath>

using namespace std;



int sc(int h){
    int k = h % 10;

    for(int u = 10; u <= h; u *= 10){
        k += (h / u) % 10;
    }

    return k;
}



int s_prost(int x){
    int y = 0;

    int p = sqrt(x);

    int a[p];

    for(int i = 0; i < p; i++){
        for(int j = 0; j < i; j++){
        if(a[i] % a[j] != 0){
            a[i] = i;
            y += a[i];
        }
        }
    }


    return y;
}

int main(){
    int n;

    cin >> n;

    int a[2][n];

    for(int i = 0; i < n; i++){
        cin >> a[0][i];
        for(int j = a[0][i]; j < a[0][i] * a[0][i]; j++){
            if(sc(j) == s_prost(j)){
                cout << j << endl;
                return 0;
            }
        }
    }



    return 0;
}
